For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • GETList Reels
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceClip API

List Reels

GET
https://vision-agent.api.reka.ai/v1/clips
GET
/v1/clips
$curl https://vision-agent.api.reka.ai/v1/clips \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "items": [
3 {
4 "id": "550e8400-e29b-41d4-a716-446655440000",
5 "status": "completed",
6 "video_urls": [
7 "https://example.com/source-video.mp4"
8 ],
9 "prompt": "Create an engaging short video highlighting the best moments"
10 }
11 ]
12}
List reel generations for the current user with pagination.
Was this page helpful?
Previous

Reka Research

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Query parameters

offsetintegerOptional>=0Defaults to 0
Number of records to skip
limitintegerOptional<=100Defaults to 20
Maximum number of records to return
statusstring or nullOptional
Filter by status

Response

Successful Response
itemslist of objects